summaryrefslogtreecommitdiffstats
path: root/libraries/purple-plugin_pack
diff options
context:
space:
mode:
author Guilherme Portalegre2010-05-11 20:00:59 +0200
committer Robby Workman2010-05-11 20:00:59 +0200
commitf43f8e3b43cb8ce9fcf128ce2082a0737b360c33 (patch)
tree1ea5d1de03fb00429ff5d612058717a69eb011aa /libraries/purple-plugin_pack
parentd56ff137a7626634d00465061264d6fcf4049a0d (diff)
downloadslackbuilds-f43f8e3b43cb8ce9fcf128ce2082a0737b360c33.tar.gz
libraries/purple-plugin_pack: Added to 12.0 repository
Diffstat (limited to 'libraries/purple-plugin_pack')
-rw-r--r--libraries/purple-plugin_pack/README5
-rw-r--r--libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild66
-rw-r--r--libraries/purple-plugin_pack/purple-plugin_pack.info8
-rw-r--r--libraries/purple-plugin_pack/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/libraries/purple-plugin_pack/README b/libraries/purple-plugin_pack/README
new file mode 100644
index 0000000000..313aeeb932
--- /dev/null
+++ b/libraries/purple-plugin_pack/README
@@ -0,0 +1,5 @@
+Over 30 plugins for Pidgin, Finch, and libpurple
+
+The Purple Plugin Pack was originally created by
+Gary Kramelich and Stu Tomlinson as a way to distribute
+their ever growing lists of simple Pidgin plugins.
diff --git a/libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild b/libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild
new file mode 100644
index 0000000000..dd966b5d88
--- /dev/null
+++ b/libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Guilherme revision date 15 Aug 07
+# Heavily modified by Robby Workman of the SlackBuilds.org project 20071020
+
+APP=purple-plugin_pack
+VERSION=2.1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$APP
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$APP-$VERSION
+
+cd $TMP || exit 1
+tar xvf $CWD/$APP-$VERSION.tar.bz2 || exit 1
+cd $APP-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make || exit
+make install DESTDIR=$PKG || exit
+
+mkdir -p $PKG/usr/doc/$APP-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO VERSION \
+ $PKG/usr/doc/$APP-$VERSION
+cat $CWD/$APP.SlackBuild > $PKG/usr/doc/$APP-$VERSION/$APP.SlackBuild
+find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ )
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/purple-plugin_pack/purple-plugin_pack.info b/libraries/purple-plugin_pack/purple-plugin_pack.info
new file mode 100644
index 0000000000..b005abfc91
--- /dev/null
+++ b/libraries/purple-plugin_pack/purple-plugin_pack.info
@@ -0,0 +1,8 @@
+PRGNAM="purple-plugin_pack"
+VERSION="2.1.1"
+HOMEPAGE="http://plugins.guifications.org/trac/wiki/PluginPack"
+DOWNLOAD="http://slackbuilds.org/sources/12.0/purple-plugin_pack-2.1.1.tar.bz2"
+MD5SUM="f1410cca12d751e78bc3b6187373a33b"
+MAINTAINER="Guilherme Portalegre"
+EMAIL="deltas4@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/purple-plugin_pack/slack-desc b/libraries/purple-plugin_pack/slack-desc
new file mode 100644
index 0000000000..d5d84d8e20
--- /dev/null
+++ b/libraries/purple-plugin_pack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+purple-plugin_pack: purple-plugin_pac (Over 30 plugins for Pidgin, Finch, and libpurple)
+purple-plugin_pack:
+purple-plugin_pack: The Purple Plugin Pack was originally created by
+purple-plugin_pack: Gary Kramelich and Stu Tomlinson as a way to distribute
+purple-plugin_pack: their ever growing lists of simple Pidgin plugins.
+purple-plugin_pack:
+purple-plugin_pack: http://plugins.guifications.org/trac/wiki/PluginPack
+purple-plugin_pack:
+purple-plugin_pack:
+purple-plugin_pack:
+purple-plugin_pack: